"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugin = void 0;
const cli_1 = require("@graphql-codegen/cli");
exports.plugin = {
    async init({ program, loadGraphQLConfig, reportError }) {
        // Let codegen manage our command instance with its own options
        cli_1.setCommandOptions(program.command('codegen'))
            .action(async (cliFlags) => {
            try {
                // Load root GraphQL Config not Project Config because Codegen will update it by looking at `project` param
                const graphqlConfig = await loadGraphQLConfig({
                    extensions: [cli_1.CodegenExtension]
                });
                // Create Codegen Context with our loaded GraphQL Config
                const codegenContext = new cli_1.CodegenContext({
                    graphqlConfig,
                });
                // This will update Codegen Context with the options provided in CLI arguments
                cli_1.updateContextWithCliFlags(codegenContext, cliFlags);
                await cli_1.generate(codegenContext);
            }
            catch (e) {
                reportError(e);
            }
        });
    }
};
//# sourceMappingURL=index.js.map